# based-alpine

This image is based on `node:alpine` with the following additional packages
available:

- `bash`
- `curl`
- `git`
- `coreutils`
- `uv`
- `just`
- `tar`
- `zstd`
- `tzdata`

These are sane dependencies for CI workflows -- so it made sense for me to
create an image containing them. I use it to make creating new Forgejo actions
simpler. On my instance [git.ficd.sh](https://git.ficd.sh), where I've
configured an additional label in the runner, I only need to add the following:

```yaml
runs-on: based-alpine
```

To run it yourself:

```sh
docker run --rm -it git.ficd.sh/ficd/based-alpine:latest bash
```
